> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ach.netevia.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get User ( SUNSETTING )

> **This Endpoint is Sunsetting and you should use the stable endpoint. Sunsetting APIs that are still supported but scheduled for deprecation.**



## OpenAPI

````yaml https://api.grailpay.com/docs?api-docs.json get /3p/api/v2/users/{uuid}
openapi: 3.0.0
info:
  title: GrailPay ACH API
  description: API Documentation for moving funds via ACH using the GrailPay ACH API
  version: 2025.12.19.2
servers:
  - url: https://api.grailpay.com
    description: Production environment
  - url: https://api-sandbox.grailpay.com
    description: Sandbox environment
security: []
tags:
  - name: Users
    description: >-
      API Endpoints used for the onboarding and managing People, Businesses, and
      Merchants.
  - name: Transactions
    description: API Endpoints used for creating and managing transactions.
  - name: Payouts
    description: API Endpoints used for fetching payout information.
  - name: Refunds
    description: API Endpoints used for creating and retrieving refunds.
  - name: Bank Accounts
    description: API Endpoints used for adding and managing bank accounts.
  - name: Webhooks
    description: API Endpoints used for registering and de-registering webhooks.
  - name: Billing
    description: API Endpoints used for retrieving billing information.
  - name: Stable
    description: Stable, up-to-date APIs that are recommended for current integration.
  - name: Sunsetting
    description: Sunsetting APIs that are still supported but scheduled for deprecation.
  - name: Deprecated
    description: Deprecated APIs that are no longer supported and should be removed.
  - name: SUNSETTING
    description: SUNSETTING
paths:
  /3p/api/v2/users/{uuid}:
    get:
      tags:
        - Users
        - SUNSETTING
      summary: Get User ( SUNSETTING )
      description: >-
        **This Endpoint is Sunsetting and you should use the stable endpoint.
        Sunsetting APIs that are still supported but scheduled for
        deprecation.**
      operationId: 78d36f0a49ae471188d81e1fbae92d1e
      parameters:
        - name: uuid
          in: path
          description: User UUID
          required: true
          schema:
            type: string
      responses:
        '200':
          description: User details retrieved successfully
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/BusinessResponse'
                  - $ref: '#/components/schemas/PersonResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/Error401Unauthorized'
                  - $ref: '#/components/schemas/Error401InvalidTokenStructure'
                  - $ref: '#/components/schemas/Error401InvalidTokenData'
        '404':
          description: User not found
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: The user has not been found.
                  data:
                    type: object
                    example: null
                    nullable: true
                  errors:
                    type: array
                    items:
                      type: string
                    example: null
                    nullable: true
                  error_code:
                    type: string
                    example: null
                    nullable: true
                type: object
      security:
        - ApiToken: []
components:
  schemas:
    BusinessResponse:
      title: Business Response
      description: Schema for a Business response
      properties:
        client_reference_id:
          type: string
          example: company_45458
        uuid:
          type: string
          example: 9d264b4a-006c-4d01-acd0-730e27784c59
        first_name:
          type: string
          example: John
        last_name:
          type: string
          example: Dew
        email:
          type: string
          example: john.dew@example.com
        phone:
          type: string
          example: '2457856490'
        business:
          properties:
            name:
              type: string
              example: John Incorporation
            tin:
              type: string
              example: '922454715'
            address_type:
              type: string
              example: Registered
            address:
              properties:
                street_address:
                  type: string
                  example: 10554 W Quarles Ave
                city:
                  type: string
                  example: Littleton
                state:
                  type: string
                  example: CO
                country:
                  type: string
                  example: US
                zip:
                  type: string
                  example: '80127'
              type: object
            trading_name:
              type: string
              example: John Incorporation
            entity_type:
              type: string
              example: Sole Trader
            incorporation_date:
              type: string
              format: date
              example: '2024-02-02'
            incorporation_state:
              type: string
              example: CO
            industry:
              type: string
              example: Nature of business
            industry_classification:
              properties:
                code_type:
                  type: string
                  example: SIC
                codes:
                  type: array
                  items:
                    type: string
                  example:
                    - NAICS 42
                    - NAICS 45
                description:
                  type: string
                  example: NAICS
              type: object
            source_of_wealth:
              type: string
              example: '2344'
            source_of_funds:
              type: string
              example: Industry
            first_transaction_completed_at:
              type: string
              format: date-time
              example: '2024-05-02 16:14:25'
            product_type:
              type: string
              example: financial
            registered_as_inactive:
              type: boolean
              example: false
            transaction_fee_percent:
              type: number
              format: float
              example: 25
              nullable: true
            transaction_fee_fixed:
              type: integer
              example: 500
              nullable: true
            maximum_transaction_fee:
              type: integer
              example: 500
              nullable: true
          type: object
        user_status:
          type: string
          example: APPROVED
        kyb_status:
          type: string
          example: APPROVED
        kyb_rejected_reason:
          type: string
          example: null
          nullable: true
        financing_credit_balance:
          type: number
          format: float
          example: null
          nullable: true
        payout_type:
          type: string
          example: batch
        role:
          type: string
          example: business
        vendor_name:
          type: string
          example: Fintech
        business_owners:
          type: array
          items:
            properties:
              first_name:
                type: string
                example: John
              last_name:
                type: string
                example: Dew
              dob:
                type: string
                format: date
                example: '2023-04-11'
              ssn9:
                type: string
                example: '123456789'
              address_line_1:
                type: string
                example: 10554 W Quarles Ave
              city:
                type: string
                example: Littleton
              state:
                type: string
                example: CO
              zip:
                type: string
                example: '80127'
              is_beneficial_owner:
                type: boolean
                example: true
              is_director:
                type: boolean
                example: false
              is_account_owner:
                type: boolean
                example: false
              is_share_holder:
                type: boolean
                example: false
              is_significant_control_person:
                type: boolean
                example: false
              ownership_percentage:
                type: number
                format: float
                example: 25
              email:
                type: string
                example: john.dew@example.com
              phone:
                type: string
                example: '2457856490'
              nationality:
                type: string
                example: US
              occupation:
                type: string
                example: Co-founder
              first_transaction_completed_at:
                type: string
                format: date-time
                example: '2024-05-02 16:14:25'
              product_type:
                type: string
                example: financial
            type: object
        created_at:
          type: string
          format: date-time
          example: '2024-10-02 14:06:14'
        updated_at:
          type: string
          format: date-time
          example: '2024-10-02 14:06:17'
      type: object
    PersonResponse:
      title: Person Response
      description: Schema for a person response
      properties:
        status:
          description: Response status
          type: boolean
        message:
          description: Response message
          type: string
        data:
          description: User data
          properties:
            client_reference_id:
              description: Client reference ID
              type: string
            uuid:
              description: User UUID
              type: string
              format: uuid
            first_name:
              description: User first name
              type: string
            last_name:
              description: User last name
              type: string
            email:
              description: User email address
              type: string
              format: email
            phone:
              description: User phone number
              type: string
            user_status:
              description: User status
              type: string
            payout_type:
              description: Payout Type
              type: string
            address:
              description: User address details
              properties:
                street_address:
                  description: Street address
                  type: string
                city:
                  description: City
                  type: string
                state:
                  description: State
                  type: string
                country:
                  description: Country
                  type: string
                zip:
                  description: Zip code
                  type: string
              type: object
            role:
              description: User role
              type: string
            vendor_name:
              description: Vendor name
              type: string
            created_at:
              description: User creation date
              type: string
              format: date-time
            updated_at:
              description: User last update date
              type: string
              format: date-time
          type: object
        errors:
          description: Error details if any
          type: object
          nullable: true
        error_code:
          description: Error code if any
          type: string
          nullable: true
      type: object
    Error401Unauthorized:
      properties:
        status:
          type: boolean
          example: false
        message:
          type: string
          example: Invalid Token
        data:
          type: string
          example: null
        errors:
          type: string
          example: null
        error_code:
          type: string
          example: null
      type: object
    Error401InvalidTokenStructure:
      properties:
        status:
          type: boolean
          example: false
        message:
          type: string
          example: >-
            Invalid token format. The token should be in the following format:
            ID|TOKEN_VALUE. Example: 12345|abcdefg
        data:
          type: string
          example: null
        errors:
          type: string
          example: null
        error_code:
          type: string
          example: null
      type: object
    Error401InvalidTokenData:
      properties:
        status:
          type: boolean
          example: false
        message:
          type: string
          example: >-
            Invalid token format. The ID in the token must be an integer.
            Example: 12345|abcdefg
        data:
          type: string
          example: null
        errors:
          type: string
          example: null
        error_code:
          type: string
          example: null
      type: object
  securitySchemes:
    ApiToken:
      type: http
      description: >-
        Token-based authentication using Authorization: Bearer <YOUR_API_KEY>
        provided by the GrailPay Support Team.
      bearerFormat: Token
      scheme: bearer

````